Open a bridge
curl --request POST \
--url https://pnbr.io/v1/bridges \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "9142fa4d-7aad-4a1b-8f99-b522fd37518d",
"name": "Stripe → CRM"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({project_id: '9142fa4d-7aad-4a1b-8f99-b522fd37518d', name: 'Stripe → CRM'})
};
fetch('https://pnbr.io/v1/bridges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://pnbr.io/v1/bridges"
payload = {
"project_id": "9142fa4d-7aad-4a1b-8f99-b522fd37518d",
"name": "Stripe → CRM"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"content": [
{
"type": "text",
"text": "Opened a bridge session.\n\nNext steps:\n • ingestSource — Ingest a foreign API (an OpenAPI 3.x JSON spec) to populate the source type universe."
}
],
"structuredContent": {
"ok": true,
"mapping_id": "fe711e54-05e3-42d7-9e54-1a0527e5638c",
"project_id": "9142fa4d-7aad-4a1b-8f99-b522fd37518d",
"name": "Stripe → CRM",
"next_steps": [
{
"tool": "ingestSource",
"why": "Ingest a foreign API (an OpenAPI 3.x JSON spec) to populate the source type universe.",
"example_args": {
"mapping_id": "fe711e54-05e3-42d7-9e54-1a0527e5638c",
"source_ir_id": "stripe",
"openapi": "<the parsed OpenAPI document>"
}
}
]
}
}Bridge
Open a bridge
Open (or create) a persistent bridge session that maps a foreign API’s types onto your ontology.
POST
/
v1
/
bridges
Open a bridge
curl --request POST \
--url https://pnbr.io/v1/bridges \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "9142fa4d-7aad-4a1b-8f99-b522fd37518d",
"name": "Stripe → CRM"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({project_id: '9142fa4d-7aad-4a1b-8f99-b522fd37518d', name: 'Stripe → CRM'})
};
fetch('https://pnbr.io/v1/bridges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://pnbr.io/v1/bridges"
payload = {
"project_id": "9142fa4d-7aad-4a1b-8f99-b522fd37518d",
"name": "Stripe → CRM"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"content": [
{
"type": "text",
"text": "Opened a bridge session.\n\nNext steps:\n • ingestSource — Ingest a foreign API (an OpenAPI 3.x JSON spec) to populate the source type universe."
}
],
"structuredContent": {
"ok": true,
"mapping_id": "fe711e54-05e3-42d7-9e54-1a0527e5638c",
"project_id": "9142fa4d-7aad-4a1b-8f99-b522fd37518d",
"name": "Stripe → CRM",
"next_steps": [
{
"tool": "ingestSource",
"why": "Ingest a foreign API (an OpenAPI 3.x JSON spec) to populate the source type universe.",
"example_args": {
"mapping_id": "fe711e54-05e3-42d7-9e54-1a0527e5638c",
"source_ir_id": "stripe",
"openapi": "<the parsed OpenAPI document>"
}
}
]
}
}⌘I